import ShapeBase from './base';
declare class Line extends ShapeBase {
    type: string;
    canFill: boolean;
    canStroke: boolean;
    createPath(context: any, targetAttrs: any): void;
    /**
     * Use math calculation to get length of line
     * @return {number} length
     */
    getTotalLength(): number;
    /**
     * Use math calculation to get point according to ratio as same sa Canvas version
     * @param {number} ratio
     * @return {Point} point
     */
    getPoint(ratio: number): import("@antv/g-math/lib/types").Point;
}
export default Line;
